var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { usePress } from "@react-native-aria/interactions";
import { mergeProps } from "@react-aria/utils";
export function useButton(props, ref) {
    let { isDisabled, onPress, onPressStart, onPressEnd, onPressChange } = props, rest = __rest(props, ["isDisabled", "onPress", "onPressStart", "onPressEnd", "onPressChange"]);
    let { pressProps, isPressed } = usePress({
        onPressStart,
        onPressEnd,
        onPressChange,
        onPress,
        isDisabled,
        ref,
    });
    const mergedProps = mergeProps(pressProps, rest, {
        accessibilityState: {
            disabled: isDisabled,
        },
        accessibilityRole: "button",
        disabled: isDisabled,
    });
    return {
        isPressed,
        buttonProps: mergedProps,
    };
}
//# sourceMappingURL=useButton.js.map