import { useButton } from "./useButton";
import { chain, mergeProps } from "@react-aria/utils";
export function useToggleButton(props, state, ref) {
    const { isSelected } = state;
    const { isPressed, buttonProps } = useButton(Object.assign(Object.assign({}, props), { onPress: chain(state.toggle, props.onPress) }), ref);
    return {
        isPressed,
        buttonProps: mergeProps(buttonProps, {
            accessibilityState: {
                selected: isSelected,
            },
        }),
    };
}
//# sourceMappingURL=useToggleButton.js.map